/*
 * statusandquestion: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: controls.h 0.1 2004/07/11 14:12:20 hflor Exp $
 */

#include <vdr/status.h>

#ifndef __CONTROLS_H
#define __CONTROLS_H

class cStatusControl : public cStatus {
private:
  char *lastStatusMessage;
  time_t lastStatusMessageTime;
protected:
  virtual void OsdStatusMessage(const char *Message);
  virtual void OsdCurrentItem(const char *Text);
public:
  cStatusControl(void);
  virtual ~cStatusControl(void);
  };

class cWaitControl : public cOsdObject {
public:
  virtual void Show(void);
  virtual eOSState ProcessKey(eKeys Key);
  };

#endif //__CONTROLS_H
